Name:    libatomic_ops
Summary: Atomic memory update operations
Version: 7.6.4
Release: %mkrel 1
Group:     System/Libraries
License: GPLv2 and MIT
URL:     https://github.com/ivmai/libatomic_ops/
Source0: http://www.ivmaisoft.com/_bin/atomic_ops/libatomic_ops-%{version}.tar.xz
BuildRequires: automake libtool
Requires: glibc >= 2.20

%description
Provides implementations for atomic memory update operations on a
number of architectures. This allows direct use of these in reasonably
portable code. Unlike earlier similar packages, this one explicitly
considers memory barrier semantics, and allows the construction of code
that involves minimum overhead across a variety of architectures.

%package devel
Summary: Development files for %{name}
Group:     Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
Files for developing with %{name}.

%package static
Summary: Static library files for %{name}
Group:     Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
%description static
Files for developing with %{name} and linking statically.


%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
  --enable-shared \
  --disable-silent-rules

%make_build


%install
rm -rf %buildroot
make install DESTDIR=%{buildroot}

## unpackaged files
rm -fv %{buildroot}%{_libdir}/lib*.la

# omit dup'd docs
rm -fv %{buildroot}%{_datadir}/libatomic_ops/{COPYING,README*,*.txt}


%files
%doc COPYING doc/LICENSING.txt
%doc AUTHORS ChangeLog README.md
%{_libdir}/libatomic_ops.so.1*
%{_libdir}/libatomic_ops_gpl.so.1*

%files devel
%doc doc/README*
%{_includedir}/atomic_ops.h
%{_includedir}/atomic_ops_malloc.h
%{_includedir}/atomic_ops_stack.h
%{_includedir}/atomic_ops/
%{_libdir}/libatomic_ops.so
%{_libdir}/libatomic_ops_gpl.so
%{_libdir}/pkgconfig/atomic_ops.pc

%files static
%{_libdir}/libatomic_ops.a
%{_libdir}/libatomic_ops_gpl.a

%changelog
* Sat Apr 07 2018 bb2 <bb2> - 7.6.4-1pclos2018
- new version
